{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list tags_mensajes %}
{% load url from future %}
{% load admin_urls %}

{% block extrahead %}
{{ block.super }}
  {% url 'admin:jsi18n' as jsi18nurl %}
  <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
{{ form.media }}

<link rel="stylesheet" type="text/css" href="{% static 'admin/css/forms.css' %}" />
<link rel="stylesheet" href="{% static 'custom/jquery.multiselect2side/css/jquery.multiselect2side.css' %}" type="text/css" media="screen" />
<script type="text/javascript" src="{% static 'custom/jquery.multiselect2side/js/jquery.js' %}" ></script>
<script type="text/javascript" src="{% static 'custom/jquery.multiselect2side/js/jquery.multiselect2side.js' %}" ></script>
<script type="text/javascript">
$().ready(function() {
	$('#first').multiselect2side({
		optGroupSearch: "Carreras: ",
		search: "<img src='{% static "custom/jquery.multiselect2side/img/search.gif" %}' />",
                moveOptions: false,
                labelsx: 'Seleccionados',
	});
});
</script>
<style type='text/css'>
form .aligned p, form .aligned ul {
    margin-left: 0;
    padding-left: 0;
}
 </style>               
{% endblock %}

{% block extrastyle %}{% endblock %}

{% block breadcrumbs %}
    <div class="breadcrumbs">
      <a href="../../../">
        {% trans "Inicio" %} &rsaquo;
      </a>
      <a href="../../">
          {% trans "Mensajes" %} &rsaquo;
      </a>
      <a href="../">
          {% trans "Nuevo mensaje" %} &rsaquo;
      </a>
          {{ user }}
    </div>
  {% endblock %}

{% block title %} {% trans 'Redactar Mensaje' %} {% endblock %}

{% block content %}

<form action="" method="POST" enctype="multipart/form-data">{% csrf_token %}
<fieldset class="module aligned">
<h2>Redactar Mensaje</h2>
<div class="form-row">
	<div class="field-box">
		<label class="required" >De:</label>
                {{ user|escape }}
	</div>
</div>
<div class="form-row">
	<div class="field-box">
        {{ form.Asunto.errors }}
	{{ form.Asunto.label_tag }}:
        {{ form.Asunto }}
	</div>
</div>
<div class="form-row">
	<div class="field-box">
        {{ form.Contenido.errors }}
	{{ form.Contenido.label_tag }}:
        {{ form.Contenido }}
	</div>
</div>

<div class="form-row">
	<div class="field-box">
        {{ form.Adjunto.errors }}
	    {{ form.Adjunto.label_tag }}:
        {{ form.Adjunto }}
	</div>
</div>

<div class="form-row">
    <div>
        <label class="required" for="id_Destinatarios">Destinatarios:</label>
                                <select multiple="multiple" id="first" name="firstSelect[]" size="6" style="display: inline-block;">
                                <optgroup label="Alumnos UDL">
                                    {% for mat in matriculados %}
                                        <option value="{{ mat.Alumno.id }}">{{ mat.Alumno|escape }}</option>
                                    {% endfor %}
                                </optgroup>
                                {% for carrera in carreras %}
                                    {% alumnos_carrera carrera.id %}
                                {% endfor%}
                                <optgroup label="Docentes UDL">
                                    {% for doc in docentes %}
                                      <option value="{{ doc.Docente__id }}">{{ doc.Docente__ApellidoPaterno|escape }} {{ doc.Docente__ApellidoMaterno|escape }} {{ doc.Docente__Nombres|escape }}</option>
                                    {% endfor %}
                                </optgroup>
                                </select>
    </div>
</div>

</fieldset>

<div class="submit-row">
<input class="default" type="submit" value="Enviar" />
</div>
</form>

{% endblock %}